Bug 418327 - Click at the very top of the scroll handle is interpreted as a click in the scroll track
Summary: Click at the very top of the scroll handle is interpreted as a click in the s...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-qqc2-desktop-style
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.69.0
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-29 14:34 UTC by Patrick Silva
Modified: 2021-08-10 20:45 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.86


Attachments
screen recording (1.42 MB, video/webm)
2020-02-29 14:34 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-02-29 14:34:49 UTC
Created attachment 126500 [details]
screen recording

STEPS TO REPRODUCE
1. open standalone "Desktop effects" kcm via krunner or apps launcher
2. scroll down
3. click on the sliding button of the scroll bar

OBSERVED RESULT
effects list scrolls up. Watch the attached screen recording please.

EXPECTED RESULT
effects list should not be scrolled when the sliding button of the scroll bar is clicked.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.18.2
KDE Frameworks Version: 5.67.0
Qt Version: 5.14.1
Comment 1 David Edmundson 2020-02-29 22:11:03 UTC
Please include if this affects X or wayland
Comment 2 Patrick Silva 2020-02-29 22:26:15 UTC
it's harder to reproduce, but the same behavior also occurs on Wayland.
Comment 3 Nate Graham 2020-04-15 17:26:35 UTC
This appears to be a bug in the scroll handle hitbox calculation. It thinks you're clicking in the track when you're clicking on the handle. Can reproduce with other QML scroll handles when clicking at the very top.
Comment 4 Janet Blackquill 2021-08-10 20:45:10 UTC
Git commit 7349b30518208753062c497ef87c1e11bce82c22 by Jan Blackquill.
Committed on 09/08/2021 at 22:11.
Pushed by ngraham into branch 'master'.

ScrollBar: less scuffed implementation of reading from QStyle

This makes ScrollBar actually utilise the subcontrol rects provied by the style, making interaction targets actually
mirror the visuals provided by the style.

M  +18   -0    org.kde.desktop/ScrollBar.qml

https://invent.kde.org/frameworks/qqc2-desktop-style/commit/7349b30518208753062c497ef87c1e11bce82c22